:root {
    --header-font: Times;
    --body-font: Verdana;
    --dark-blue-emphasis-color: #0D2149;
    --header-footer-background-color: #071625;
    --dark-body-blue-text-color: #0D2149;
    --header-footer-nav-text-color: #fff;
    --main-background-color: #ffffff;
    --main-aside-text-color: #000;
    --box-shadow-color: #00000064;
    --main-max-width: 800px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0px;
    font-family: var(--body-font), sans-serif;
    font-weight: 300;
    line-height: 1.7em;
    width: 100%;
    min-width: 320px;
    color: var(--dark-body-blue-text-color);
}

a {
    color: var(--header-footer-background-color);
    text-decoration: none;
}

a:hover {
    color: var(--dark-blue-emphasis-color);
    text-decoration: none;
}

header,
footer,
nav {
    background-color: var(--header-footer-background-color);
    color: var(--header-footer-nav-text-color);
    font-family: var(--header-font), serif;
}

header {
    padding: 20px 0 0 0;
}

h1 {
    text-align: left;
    font-size: 1.5rem;
    margin: 0.5rem .1rem 0 1rem;
    padding: 1.1rem;
}

h2 {
    font-size: 1.2rem;
    color: navy;
    text-align: center;
    margin-bottom: 20px;
    width: 100%;
    line-height: 1.5em;
}

nav {
    width: 100%;
    margin: 1rem auto 0 auto;
}

.header_content {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    color: #fff;
}

.header_content img {
    width: 55px;
    height: 55px;
}

.header_content span {
    font-family: var(--header-font), serif;
    font-size: 1em;
}

/* small view navigation */
#menu {
    font-size: 1.5rem;
    border: 0;
    background: none;
    color: white;
    position: absolute;
    top: 1rem;
    right: 1rem;
}

#menu::before {
    content: "☰";
}

#menu.open::before {
    content: "X";
}

.navigation {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    list-style: none;
    background-color: #333;
    color: #fff;
}

.navigation a {
    display: none;
    padding: 1rem;
    text-align: center;
    text-decoration: none;
    color: #fff;
}

.navigation a:hover,
#class_filter_buttons a:hover {
    background-color: #bbb;
    color: #333;
}

/* when the button is clicked - the open class is toggled (added/removed) */
.open a {
    display: block;
}

.active {
    border-bottom: solid #1789fb;
}

header img {
    margin: 10px;
}

@media (min-width: 615px) {
    .header_content span {
        font-size: 2.5em;
    }

    h1 {
        font-size: 2.5rem;
        margin-left: 0;
    }

    #menu {
        display: none;
        /* hide hamburger button */
    }

    .navigation {
        flex-direction: row;
    }

    .navigation a {
        display: block;
        flex: 1 1 100%;
    }

    .header_content {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        color: #fff;
    }
}